Jump to content
Compatible Support Forums
Sign in to follow this  
news

[security-announce] SUSE-SU-2014:1082-1: important: Security update for apache2

Recommended Posts

SUSE Security Update: Security update for apache2

______________________________________________________________________________

 

Announcement ID: SUSE-SU-2014:1082-1

Rating: important

References: #829056 #829057 #869105 #869106 #887765 #887768

 

Cross-References: CVE-2013-1862 CVE-2013-1896 CVE-2013-6438

CVE-2014-0098 CVE-2014-0226 CVE-2014-0231

 

Affected Products:

SUSE Linux Enterprise Server 10 SP4 LTSS

SUSE Linux Enterprise Server 10 SP3 LTSS

______________________________________________________________________________

 

An update that fixes 6 vulnerabilities is now available.

 

Description:

 

 

This apache2 update fixes the following security issues:

 

* log_cookie mod_log_config.c remote denial of service (CVE-2014-0098,

bnc#869106)

* mod_dav denial of service (CVE-2013-6438, bnc#869105)

* mod_cgid denial of service (CVE-2014-0231, bnc#887768)

* mod_status heap-based buffer overflow (CVE-2014-0226, bnc#887765)

* mod_rewrite: escape logdata to avoid terminal escapes

(CVE-2013-1862, bnc#829057)

* mod_dav: segfault in merge request (CVE-2013-1896, bnc#829056)

 

Security Issues:

 

* CVE-2014-0098

 

* CVE-2013-6438

 

* CVE-2014-0226

 

* CVE-2014-0231

 

* CVE-2013-1862

 

* CVE-2013-1896

 

 

 

 

Package List:

 

- SUSE Linux Enterprise Server 10 SP4 LTSS (i586 s390x x86_64):

 

apache2-2.2.3-16.50.1

apache2-devel-2.2.3-16.50.1

apache2-doc-2.2.3-16.50.1

apache2-example-pages-2.2.3-16.50.1

apache2-prefork-2.2.3-16.50.1

apache2-worker-2.2.3-16.50.1

 

- SUSE Linux Enterprise Server 10 SP3 LTSS (i586 s390x x86_64):

 

apache2-2.2.3-16.32.51.2

apache2-devel-2.2.3-16.32.51.2

apache2-doc-2.2.3-16.32.51.2

apache2-example-pages-2.2.3-16.32.51.2

apache2-prefork-2.2.3-16.32.51.2

apache2-worker-2.2.3-16.32.51.2

 

 

References:

 

http://support.novell.com/security/cve/CVE-2013-1862.html

http://support.novell.com/security/cve/CVE-2013-1896.html

http://support.novell.com/security/cve/CVE-2013-6438.html

http://support.novell.com/security/cve/CVE-2014-0098.html

http://support.novell.com/security/cve/CVE-2014-0226.html

http://support.novell.com/security/cve/CVE-2014-0231.html

https://bugzilla.novell.com/829056

https://bugzilla.novell.com/829057

https://bugzilla.novell.com/869105

https://bugzilla.novell.com/869106

https://bugzilla.novell.com/887765

https://bugzilla.novell.com/887768

http://download.suse.com/patch/finder/?keywords=0593c1f59d8a810c00150b05cea3af2f

http://download.suse.com/patch/finder/?keywords=0ddc907bde6fcbad1e94944d867f60dd

 

--

To unsubscribe, e-mail: opensuse-security-announce+unsubscribe ( -at -) opensuse.org

For additional commands, e-mail: opensuse-security-announce+help ( -at -) opensuse.org

 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×